Package org.springframework.security.cas.authentication

# Class CasAssertionAuthenticationToken

java.lang.Object
org.springframework.security.authentication.AbstractAuthenticationToken
org.springframework.security.cas.authentication.CasAssertionAuthenticationToken

All Implemented Interfaces:
  `Serializable`, `Principal`, `org.springframework.security.core.Authentication`, `org.springframework.security.core.CredentialsContainer`

public final class CasAssertionAuthenticationToken extends org.springframework.security.authentication.AbstractAuthenticationToken
Temporary authentication object needed to load the user details service.

Since:
  3.0
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`CasAssertionAuthenticationToken(org.apereo.cas.client.validation.Assertion assertion, String ticket)`

## Method Summary

Modifier and Type
Method
Description
`org.apereo.cas.client.validation.Assertion`
`getAssertion()`
`Object`
`getCredentials()`
`Object`
`getPrincipal()`

### Methods inherited from class org.springframework.security.authentication.AbstractAuthenticationToken

`equals, eraseCredentials, getAuthorities, getDetails, getName, hashCode, isAuthenticated, setAuthenticated, setDetails, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.security.Principal

`implies`

## Constructor Details

### CasAssertionAuthenticationToken

public CasAssertionAuthenticationToken(org.apereo.cas.client.validation.Assertion assertion, String ticket)

## Method Details

### getPrincipal

public Object getPrincipal()

### getCredentials

public Object getCredentials()

### getAssertion

public org.apereo.cas.client.validation.Assertion getAssertion()